/***************************************************************************
                          dlgconnectionwizardinput.h
                      -------------------
    description          :
    begin                : Tue Jan 18 2000                                           
    copyright            : (C) 2000 by Stephan Uhlmann                         
    email                : suhlmann@gmx.de                                     
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   * 
 *                                                                         *
 ***************************************************************************/


#ifndef DLGCONNECTIONWIZARDINPUT_H
#define DLGCONNECTIONWIZARDINPUT_H

//Generated area. DO NOT EDIT!!!(begin)
#include <qwidget.h>
#include <qgroupbox.h>
#include <qlabel.h>
#include <qlineedit.h>
#include <qpushbutton.h>
//Generated area. DO NOT EDIT!!!(end)

#include <qdialog.h>
#include <qmessagebox.h>
#include <kapp.h> // for i18n()
#include "dlgselectmud.h"
#include "dlgselectprofile.h"
#include "../kmuddoc.h"

/**
  *@author Stephan Uhlmann
  */

class DlgConnectionWizardInput : public QDialog  {
   Q_OBJECT
public: 
	DlgConnectionWizardInput(KmudDoc* document,QWidget *parent=0, const char *name=0);
	~DlgConnectionWizardInput();

	/** returns the entered login name */
	QString getLogin();
	/** returns the entered mud host */
	QString getMudHost();
	/** returns the entered mud port */
	QString getMudPort();
	/** returns the entered mud title */
	QString getMudTitle();
  /** returns the NamePrompt */
  QString getNamePrompt();
  /** returns the password */
  QString getPassword();
  /** returns the PasswordPrompt */
  QString getPasswordPrompt();
	/** returns the profile */
	QString getProfile();

	/** sets the login name */
	void setLogin(QString);
	/** sets the mud host */
	void setMudHost(QString);
	/** sets the mud port */
	void setMudPort(QString);
	/** sets the mud title */
	void setMudTitle(QString);
  /** sets the NamePrompt */
  void setNamePrompt(QString s);
  /** sets the password */
  void setPassword(QString pw);
  /** sets the PasswordPrompt */
  void setPasswordPrompt(QString s);
	/** sets the profile name */
	void setProfile(QString);

public slots:
	void slotOKPressed();
	void slotSelectMudPressed();
	void slotSelectProfilePressed();

protected: 
	void initDialog();
	//Generated area. DO NOT EDIT!!!(begin)
	QGroupBox *character_CHaraGroupBox;
	QLabel *login_Label;
	QLineEdit *login_LineEdit;
	QLabel *charProfile_Label;
	QLabel *charProfileShow_Label;
	QPushButton *charProfileSelect_Button;
	QLabel *Password_Label;
	QLineEdit *Password_LineEdit;
	QGroupBox *MUD_GroupBox;
	QLabel *mudTitle_Label;
	QLineEdit *mudTitle_LineEdit;
	QPushButton *mudListSelect_Button;
	QLabel *mudHost_Label;
	QLineEdit *mudHost_LineEdit;
	QLabel *mudPort_Label;
	QLineEdit *mudPort_LineEdit;
	QLabel *mudPrompt_Label;
	QLabel *mudPromptName_Label;
	QLineEdit *mudNamePrompt_LineEdit;
	QLabel *mudPromptPassword_Label;
	QLineEdit *mudPasswordPrompt_LineEdit;
	QPushButton *ok_Button;
	QPushButton *cancel_Button;
	//Generated area. DO NOT EDIT!!!(end)

	KmudDoc* doc;

private: 
};

#endif
