/***************************************************************************
                          dlgmappathproperties.h
                      -------------------
    description          :
    begin                : Thu Sep 14 2000
    copyright            : (C) 2000 by John-Paul Stanford
    email                : sjohn-paul.stanford@virgin.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   * 
 *                                                                         *
 ***************************************************************************/


#ifndef DLGMAPPATHPROPERTIES_H
#define DLGMAPPATHPROPERTIES_H

//Generated area. DO NOT EDIT!!!(begin)
#include <qwidget.h>
#include <qlabel.h>
#include <qpushbutton.h>
#include <qbuttongroup.h>
#include <qradiobutton.h>
//Generated area. DO NOT EDIT!!!(end)

#include <qdialog.h>

#include "../cmapelement.h"

/**
  *@author John-Paul Stanford
  */

class DlgMapPathProperties : public QDialog  {
   Q_OBJECT
public: 
	DlgMapPathProperties(QWidget *parent=0, const char *name=0);
	~DlgMapPathProperties();

	direction getSrcDirection(void);
	direction getDestDirection(void);
	bool getTwoWay(void);
	void setTwoWay(bool twoWay);
	void setDirections(direction srcDir,direction destDir);

protected: 
	void initDialog();
	//Generated area. DO NOT EDIT!!!(begin)
	QLabel *lblSrc;
	QLabel *lblDest;
	QPushButton *cmdSrcNW;
	QPushButton *cmdSrcN;
	QPushButton *cmdSrcNE;
	QPushButton *cmdSrcW;
	QPushButton *cmdSrcSW;
	QPushButton *cmdSrcS;
	QPushButton *cmdCancel;
	QPushButton *cmdOK;
	QButtonGroup *grdDirs;
	QRadioButton *optOneWay;
	QRadioButton *optTwoWay;
	QPushButton *cmdSrcSE;
	QPushButton *cmdSrcE;
	QPushButton *cmdDestNW;
	QPushButton *cmdDestW;
	QPushButton *cmdDestSW;
	QPushButton *cmdDestN;
	QPushButton *cmdDestNE;
	QPushButton *cmdDestE;
	QPushButton *cmdDestSE;
	QPushButton *cmdDestS;
	QPushButton *cmdSrcDown;
	QPushButton *cmdSrcUp;
	QPushButton *cmdDestDown;
	QPushButton *cmdDestUp;
	//Generated area. DO NOT EDIT!!!(end)

private:
	void unselectSrc(void);
	void unselectDest(void);
	
public slots:
	void slotSrcNClicked(void);
	void slotSrcNEClicked(void);
	void slotSrcEClicked(void);
	void slotSrcSEClicked(void);
	void slotSrcSClicked(void);
	void slotSrcSWClicked(void);
	void slotSrcWClicked(void);
	void slotSrcNWClicked(void);
	void slotSrcDownClicked(void);
	void slotSrcUpClicked(void);

	void slotDestNClicked(void);
	void slotDestNEClicked(void);
	void slotDestEClicked(void);
	void slotDestSEClicked(void);
	void slotDestSClicked(void);
	void slotDestSWClicked(void);
	void slotDestWClicked(void);
	void slotDestNWClicked(void);
	void slotDestDownClicked(void);
	void slotDestUpClicked(void);		

};

#endif
