/***************************************************************************
                          dlgmultilineinput.h
                      -------------------
    description          : Dialog for sending multiple lines text
    begin                : Sat Jan 8 2000                                           
    copyright            : (C) 2000 by Stephan Uhlmann                         
    email                : suhlmann@gmx.de                                     
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   * 
 *                                                                         *
 ***************************************************************************/


#ifndef DLGMULTILINEINPUT_H
#define DLGMULTILINEINPUT_H

//Generated area. DO NOT EDIT!!!(begin)
#include <qwidget.h>
#include <qpushbutton.h>
#include <qmultilinedit.h>
//Generated area. DO NOT EDIT!!!(end)

#include <qdialog.h>

/**
  * Dialog for sending multiple lines text
  * this dialog is not modal
  *@author Stephan Uhlmann
  */

class DlgMultiLineInput : public QDialog  {
   Q_OBJECT
public:
	/** constructor */
	DlgMultiLineInput(QWidget *parent=0, const char *name=0);
	/** destructor */
	~DlgMultiLineInput();

 signals:
	/** sent when send button is pressed, send text in multilineedit */
	void sendText(QString);
	/** emitted when dialog is closed so that KMudApp can hide() the dialog */
	void dialogClosed();

protected: 
	void initDialog();
	//Generated area. DO NOT EDIT!!!(begin)
	QPushButton *send_Button;
	QPushButton *clear_Button;
	QPushButton *close_Button;
	QMultiLineEdit *input_MultiLineEdit;
	QPushButton *insertFile_Button;
	//Generated area. DO NOT EDIT!!!(end)

	virtual void resizeEvent(QResizeEvent*);
	virtual void closeEvent(QCloseEvent*);

protected slots:
	void sendButtonClicked();
	void insertFileButtonClicked();
	void closeButtonClicked();


private:

	QString lastDirPath;

};

#endif
