/***************************************************************************
                          dlgoptionfonts.h
                      -------------------
    description          : Font Options Dialog Class
    begin                : Fri Oct 22 1999
    copyright            : (C) 1999 by Stephan Uhlmann                         
    email                : suhlmann@gmx.de                                     
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   * 
 *                                                                         *
 ***************************************************************************/


#ifndef DLGOPTIONFONTS_H
#define DLGOPTIONFONTS_H

//Generated area. DO NOT EDIT!!!(begin)
#include <qwidget.h>
#include <qpushbutton.h>
#include <qgroupbox.h>
#include <qlabel.h>
//Generated area. DO NOT EDIT!!!(end)

#include <qdialog.h>
#include <kfontdialog.h>

/** Font Options Dialog Class
  *@author Stephan Uhlmann
  */

class DlgOptionFonts : public QDialog  {
   Q_OBJECT
public:
	/** Constructor */
	DlgOptionFonts(QWidget *parent=0, const char *name=0);
	/** Destructor */
	~DlgOptionFonts();

	/** Sets the output font */
	void setOutputFont(QFont font);
	/** Sets the input font */
	void setInputFont(QFont font);
	/** Returns the output font */
	QFont getOutputFont();
	/** Returns the input font */
	QFont getInputFont();

public slots:
	/** opens a KFontDialog to change the input font */
	void slotInputFontButtonPressed();
	/** opens a KFontDialog to change the output font */
	void slotOutputFontButtonPressed();

protected:
	/** Initializes dialog (KDevelop Generated)*/
	void initDialog();
	//Generated area. DO NOT EDIT!!!(begin)
	QPushButton *ok_Button;
	QPushButton *cancel_Button;
	QGroupBox *font_GroupBox;
	QLabel *outputFont_Label;
	QPushButton *outputFont_Button;
	QLabel *inputFont_Label;
	QPushButton *inputFont_Button;
	//Generated area. DO NOT EDIT!!!(end)

private:
	QFont inputFont;
	QFont outputFont;

};

#endif

