/***************************************************************************
                          dlgoptionsinput.cpp
                      -------------------
    description          : DialogTab for special input characters and keys
    begin                : Sun Oct 22 2000
    copyright            : (C) 2000 by Kevin Krammer
    email                : kevin.krammer@gmx.at
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   * 
 *                                                                         *
 ***************************************************************************/

#include "dlgoptionsinput.h"

DlgOptionsInput::DlgOptionsInput(QWidget *parent, const char *name) : QDialog(parent,name,true){
	initDialog();
}

DlgOptionsInput::~DlgOptionsInput(){
}

/** gets the separator character */
QString DlgOptionsInput::getSeparator()
{
  return separatorLineEdit->text();
}

/** sets the separator character */
void DlgOptionsInput::setSeparator(QString s)
{
  separatorLineEdit->setText(s);
}

/** gets the extern-command character */
QString DlgOptionsInput::getExternChar()
{
  return externCharLineEdit->text();
}

/** sets the extern-command character */
void DlgOptionsInput::setExternChar(QString s)
{
  externCharLineEdit->setText(s);
}

/** gets the speedwalking character */
QString DlgOptionsInput::getSpeedwalkingChar()
{
  return speedwalkingLineEdit->text();
}

/** sets the speedwalking character */
void DlgOptionsInput::setSpeedwalkingChar(QString s)
{
  speedwalkingLineEdit->setText(s);
}
