/***************************************************************************
                          dlgoptiontiming.h
                      -------------------
    description          :
    begin                : Thu Oct 26 2000
    copyright            : (C) 2000 by Andre Alexander Bell
    email                : andre.bell@gmx.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   * 
 *                                                                         *
 ***************************************************************************/


#ifndef DLGOPTIONTIMING_H
#define DLGOPTIONTIMING_H

//Generated area. DO NOT EDIT!!!(begin)
#include <qwidget.h>
#include <qgroupbox.h>
#include <qcheckbox.h>
#include <qlabel.h>
#include <qlineedit.h>
//Generated area. DO NOT EDIT!!!(end)

#include <qdialog.h>

/**
	*The Timing settings, previous found in general, do have their own tab now,
	*because the dialog doesnt fit on low resolution screens...
	*
  *@author Andre Alexander Bell
  */

class DlgOptionTiming : public QDialog  {
   Q_OBJECT
public: 
	DlgOptionTiming(QWidget *parent=0, const char *name=0);
	~DlgOptionTiming();

	/** checks/unchecks QCkeckBox for keepLastInput option */
	void setAutoReconnect(bool);
	/** returns the value of the QCheckBox for keepLastInput option */
	bool getAutoReconnect();
	/** sets the auto reconnect timer start value */
	void setAutoTime(unsigned int t);
	/** gets the quto reconnect timer start value */
	unsigned int getAutoTime();
	/** checks/unchecks outputNotify */
	void setOutputNotifyOn(bool b);
	/** gets status of outputNotify */
	bool getOutputNotifyOn();
	/** sets seconds to wait for output notification */
	void setOutputNotifySeconds(unsigned int sec);
	/** returns seconds to wait for output notification */
	unsigned int getOutputNotifySeconds();
	/** returns to seconds until a connection-timeout is reported (while connection to a mud) */
	unsigned int getConnectTimeoutSeconds();
  /** set the ConnectionTimout value */
  void setConnectTimeoutSeconds(unsigned int t);

public slots:
	/** refreshes the enabled/disabled state of the widgets */
	void slotRefreshEnablesDisables();


protected:
	void initDialog();
	//Generated area. DO NOT EDIT!!!(begin)
	QGroupBox *autoReconnect_GroupBox;
	QCheckBox *autoReconnect_CheckBox;
	QLabel *autoReconnectSeconds_Label;
	QLineEdit *autoReconnectSeconds_LineEdit;
	QGroupBox *outputNotify_GroupBox;
	QCheckBox *outputNotifyBlinkOn_CheckBox;
	QLabel *outputNotifySeconds_Label;
	QLineEdit *outputNotifySeconds_LineEdit;
	QGroupBox *connectTimeout_GroupBox;
	QLabel *connectTimeoutSeconds_Label;
	QLineEdit *connectTimeoutSeconds_LineEdit;
	//Generated area. DO NOT EDIT!!!(end)

private: 
};

#endif
