/***************************************************************************
                          dlgpluginmanager.h
                      -------------------
    description          :
    begin                : Sat Aug 5 2000
    copyright            : (C) 2000 by Stephan Uhlmann
    email                : suhlmann@gmx.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   * 
 *                                                                         *
 ***************************************************************************/


#ifndef DLGPLUGINMANAGER_H
#define DLGPLUGINMANAGER_H

//Generated area. DO NOT EDIT!!!(begin)
#include <qwidget.h>
#include <qgroupbox.h>
#include <qlistview.h>
#include <qpushbutton.h>
#include <qmultilinedit.h>
#include <qlabel.h>
//Generated area. DO NOT EDIT!!!(end)

#include <qdialog.h>
#include <qstrlist.h>

#include "../cpluginmanager.h"

/**
  *@author Stephan Uhlmann
  */

class DlgPluginManager : public QDialog  {
   Q_OBJECT
public:
	/** constructor */
	DlgPluginManager(CPluginManager*, QWidget *parent=0, const char *name=0);
	/** destructor */
	~DlgPluginManager();

	/** returns list of plugin filenames which are checked in the list view */
	QStrList getCheckedPlugins();
	/** returns list of plugin filenames which are unchecked in the list view */
	QStrList getUncheckedPlugins();

public slots:
	/** shows info about the currently selected plugin */
	void showPluginInfo();
	/** startes configuration dialog of the currently selected plugin */
	void slotConfigure();

protected: 
	void initDialog();
	//Generated area. DO NOT EDIT!!!(begin)
	QGroupBox *listView_GroupBox;
	QListView *plugin_ListView;
	QPushButton *ok_Button;
	QPushButton *cancel_Button;
	QGroupBox *description_GroupBox;
	QMultiLineEdit *descriptionShow_MultiLineEdit;
	QGroupBox *properties_GHroupBox;
	QLabel *file_Label;
	QLabel *version_Label;
	QLabel *copyright_Label;
	QLabel *author_Label;
	QLabel *email_Label;
	QLabel *homepage_Label;
	QLabel *homepageShow_Label;
	QLabel *emailShow_Label;
	QLabel *authorShow_Label;
	QLabel *copyrightShow_Label;
	QLabel *versionShow_Label;
	QLabel *fileShow_Label;
	QPushButton *configure_Button;
	//Generated area. DO NOT EDIT!!!(end)

private:

	PluginInfo* getSelectedPlugin();

	CPluginManager* pluginmanager;
	PluginList pluginlist;
};

#endif
