/*************************************************************************** 
                          dlgprofilealiases.h
                      -------------------
    description          :
    begin                : Mon Nov 1 1999
    copyright            : (C) 1999 by Stephan Uhlmann                         
    email                : suhlmann@gmx.de                                     
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   * 
 *                                                                         *
 ***************************************************************************/


#ifndef DLGPROFILEALIASES_H
#define DLGPROFILEALIASES_H

//Generated area. DO NOT EDIT!!!(begin)
#include <qwidget.h>
#include <qgroupbox.h>
#include <qpushbutton.h>
#include <qlistview.h>
#include <qlabel.h>
//Generated area. DO NOT EDIT!!!(end)

#include <qlistview.h>
#include <qdialog.h>
#include <kapp.h>
#include "../ccharacterprofile.h"
#include "../kmuddoc.h"
#include "dlgprofilemacros.h"
#include "dlgprofilealiasesinput.h"
#include <qmessagebox.h>

/**
  *@author Stephan Uhlmann
  */

class DlgProfileAliases : public QDialog  {
   Q_OBJECT
public:
	DlgProfileAliases( KmudDoc* document, QWidget *parent=0, const char *name=0);
	~DlgProfileAliases();

	/** Translates a Key into QString text */
	QString translateKey(int, ButtonState);


protected: 
	void initDialog();
	void setDialogState();
	//Generated area. DO NOT EDIT!!!(begin)
	QGroupBox *QGroupBox_3;
	QPushButton *ok_Button;
	QPushButton *cancel_Button;
	QPushButton *new_Button;
	QPushButton *delete_Button;
	QListView *aliases_ListView;
	QLabel *ProfileLabel;
	QLabel *ProfileName_Label;
	QPushButton *apply_Button;
	//Generated area. DO NOT EDIT!!!(end)

public slots: // Public slots
	/** When New is pressed */
	void slotNewPressed();
	/** When Delete is pressed */
	void slotDeletePressed();
	/** When OK is pressed */
	void slotOKPressed();
	/** When Cancel is pressed */
	void slotCancelPressed();
	/** When CHANGE is pressed */
	void slotChangePressed();
	/** When the selection has changed, updates the other widgets */
	void slotShowItem(QListViewItem*);
	/** When APPLY is pressed */
	void slotApplyPressed();

private:
	/** Updates the list view */
	void updateListView();
	/** The character profile we're working with */
	CCharacterProfile* profile;
	/** the current alias */
	int currentAlias;
	/** applys the current changes */
	void apply(QListViewItem*);
};

#endif
